#include<iostream>
#include<cstring>
using namespace std;
bool func(int n, int m, int k) {
	int p, s;
	if(n%k==0) {
		s=0;
		p=n/k;
		for(int i=1; i<=p;i++) {
			s+=i;
		}
		s*=k;
	}
	else {
	    p=n/k;
		int i, r=n-p*k, z;	
		for(i=1; i<=p; i++) {
			s+=i;
		}
		s*=k;
		s+=i*r;
	}
	return s<=m;
}
int main()
{
	int T;
    cin>>T;
    int N[T], M[T], K[T];
    string R[T];
    for(int i=0; i<T; i++) {
    	cin>>N[i]; cin>>M[i]; cin>>K[i];	
    }
	for(int i=0; i<T; i++) {
		if(func(N[i], M[i], K[i])) {
			R[i]="Tak";
		}
		else {
			R[i]="Nie";
		}	
	}
    for(int i=0; i<T; i++) {
    	cout<<R[i]<<"\n";
    }
}